# Interface ControlWithDataSource<Source, Target>

interface ControlWithDataSource<Source, Target> {
setDataSource(name, dataSource, settings?): void;
}

#### Type Parameters

- Source = any
- Target = any

- Defined in packages/angular/form-system/src/lib/control-with-data-source.ts:4

#####
Index

### Methods

setDataSource

## Methods

### setDataSource

- setDataSource(name, dataSource, settings?): void

- #### Parameters

  - name: string
  - dataSource: DataSource<unknown, DataSourceViewer>
  - `Optional` settings: UseDataSourceSettings<Source, Target>

  #### Returns void

  - Defined in packages/angular/form-system/src/lib/control-with-data-source.ts:5